package org.freehep.jas.plugin.web;

import java.net.MalformedURLException;
import java.net.URL;
import javax.swing.JOptionPane;

/**
 *
 * @author tonyj
 * @version $Id: WebPreferences.java 13876 2011-09-20 00:52:21Z tonyj $
 */
class WebPreferences extends javax.swing.JPanel
{
   /** Creates new form WebPreferences */
   WebPreferences(SimpleWebBrowser plugin)
   {
      this.plugin = plugin;
      initComponents();
   }
   
   /** This method is called from within the constructor to
    * initialize the form.
    * WARNING: Do NOT modify this code. The content of this method is
    * always regenerated by the Form Editor.
    */
   private void initComponents()//GEN-BEGIN:initComponents
   {
      javax.swing.JLabel jLabel1;
      java.awt.GridBagConstraints gridBagConstraints;

      jLabel1 = new javax.swing.JLabel();
      homePage = new javax.swing.JTextField();
      showAtStart = new javax.swing.JCheckBox();
      antiAlias = new javax.swing.JCheckBox();

      setLayout(new java.awt.GridBagLayout());

      jLabel1.setText("Home Page:");
      gridBagConstraints = new java.awt.GridBagConstraints();
      gridBagConstraints.insets = new java.awt.Insets(0, 0, 0, 5);
      add(jLabel1, gridBagConstraints);

      homePage.setText(plugin.getHomePage() == null ? "" : plugin.getHomePage().toExternalForm());
      gridBagConstraints = new java.awt.GridBagConstraints();
      gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
      gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
      add(homePage, gridBagConstraints);

      showAtStart.setSelected(plugin.isShowAtStart());
      showAtStart.setText("Show home page at start-up");
      gridBagConstraints = new java.awt.GridBagConstraints();
      gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
      gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
      add(showAtStart, gridBagConstraints);

      antiAlias.setSelected(plugin.isAntiAlias());
      antiAlias.setText("Anti-alias text");
      gridBagConstraints = new java.awt.GridBagConstraints();
      gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
      gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
      add(antiAlias, gridBagConstraints);

   }//GEN-END:initComponents
   boolean apply()
   {
      try
      {
         String homePageText = homePage.getText();
         URL url = homePageText.length() == 0 ? null : new URL(homePageText);
         plugin.setHomePage(url);
         plugin.setShowAtStart(showAtStart.isSelected());
         plugin.setAntiAlias(antiAlias.isSelected());
         return true;
      }
      catch (MalformedURLException x)
      {
         JOptionPane.showMessageDialog(this,"Malformed URL","Error",JOptionPane.ERROR_MESSAGE);
         homePage.requestFocus();
         return false;
      }
   }
   private SimpleWebBrowser plugin;
   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.JTextField homePage;
   private javax.swing.JCheckBox antiAlias;
   private javax.swing.JCheckBox showAtStart;
   // End of variables declaration//GEN-END:variables
  
}
